=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-squid/pkg-squid3.git/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-squid/pkg-squid3.git/
-Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=10), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libecap3-dev (>= 1.0.1-2), libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], nettle-dev, libgnutls28-dev, lsb-release, dh-apparmor, dh-autoreconf
+Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=10), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libecap3-dev (>= 1.0.1-2), libexpat1-dev, libxml2-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], nettle-dev, libgnutls28-dev, lsb-release, dh-apparmor, dh-autoreconf
 XS-Testsuite: autopkgtest
 
 Package: squid3
 Architecture: all
 Section: oldlibs
-Priority: extra
+Priority: optional
 Pre-Depends: squid (>= ${source:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Description: Transitional package
@@ -39,7 +39,7 @@
 Package: squid-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: squid (= ${binary:Version}), ${misc:Depends}
 Description: Full featured Web Proxy cache (HTTP proxy) - Debug symbols
  Squid is a high-performance proxy caching server for web clients, supporting
