=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/dpkg/architecture.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 
 INSTALLDIR := $(CURDIR)/debian/tmp
@@ -53,8 +54,6 @@
 
 BUILDINFO := $(shell lsb_release -si 2>/dev/null)
 
-DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-build-info="$(BUILDINFO) $(DEB_HOST_ARCH_OS)"
 
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
