=== debian/watch ===
version=3
http://www.squid-cache.org/Versions/v3/3.5/squid-([\.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
